# Generated from workin-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name workin

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Command line to change your workdir quickly
License: MIT
URL: https://xykogems.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(minitest) >= 5.10
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.10.2
BuildArch: noarch

%description
Helpper to transfer the rvm control to current selected workdir.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/workin.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
